mousepad (0.6.3-1.1~c71b67b6~1) unstable; urgency=medium

  * Non-maintainer upload.
  * OBS home:c71b67b6 Rebuild/Re-Packaging.

 -- c71b67b6 <c71b67b6@gmail.com>  Tue, 29 Oct 2024 19:17:17 +0000

mousepad (0.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.3.
  * d/control: Update B-D, pkg-config → pkgconf, add libxfce4ui-2-dev.
  * d/rules:
    - Opt-out of trimmed changelogs, install NEWS as changelog.
    - Replace dh_install override with execute_after for removing .la files.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Fri, 25 Oct 2024 17:56:31 -0400

mousepad (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.2.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 18 Mar 2024 02:19:14 -0400

mousepad (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.1.
  * d/libmousepad0.symbols: Update symbols.
  * d/control:
    - Replace intltool with gettext, add B-D on libpolkit-gobject-1-dev.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Jun 2023 05:01:40 -0400

mousepad (0.5.10-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libmousepad-dev, libmousepad0: Add Multi-Arch:
    same.

  [ Yves-Alexis Perez ]
  * d/control: libmousepad-dev: add missing dep on libmousepad0
    (Closes: #1035452)

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 05 May 2023 13:22:50 +0200

mousepad (0.5.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.5.10.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Tue, 12 Jul 2022 22:37:37 -0400

mousepad (0.5.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.5.9.
  * d/control: Bump DH compat to 13.
  * d/rules: Drop --as-needed and autoreconf override, no longer needed.
  * d/libmousepad0.symbols: Update symbols and add Build-Depends-Package.

 -- Unit 193 <unit193@debian.org>  Sat, 23 Apr 2022 00:14:13 -0400

mousepad (0.5.8-1) unstable; urgency=medium

  * New upstream version 0.5.8
  * d/control: add b-d on libgspell-1-dev for gspell plugin
  * d/control: update standards version to 4.6.0
  * split libmousepad to separate packages
  * d/control: build against gtksourceview 4

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 27 Nov 2021 19:24:36 +0100

mousepad (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 03 Feb 2021 18:23:35 +0100

mousepad (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * d/control: version xfce4-dev-tools b-dep for 4.16

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 23 Dec 2020 15:19:18 +0100

mousepad (0.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Name (from ./configure), Repository.
  * Update standards version to 4.4.1, no changes needed.

  [ Unit 193 ]
  * d/watch: Update for mirrorbit and use uscan special strings.
  * New upstream version 0.5.0.
  * d/docs: README → README.md.
  * d/control:
    - R³: no.
    - Add homepage.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Thu, 10 Dec 2020 18:28:02 -0500

mousepad (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * d/control: update build-deps for new release
  * d/control: update standards version to 4.4.0

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 25 Aug 2019 18:40:05 +0200

mousepad (0.4.1-2) unstable; urgency=medium

  * d/control: drop b-d on libxml-parser-perl (Closes: #913376)
  * d/control: update standards version to 4.2.1
  * d/control: drop Emmanuele and Simon from uploaders, thanks!

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 10 Nov 2018 20:56:48 +0100

mousepad (0.4.1-1) unstable; urgency=medium

  [ Yves-Alexis Perez ]
  * Moved the package to git on salsa.debian.org
  * Update maintainer address to debian-xfce@lists.debian.org   closes: #899873
  * d/gbp.conf added, following DEP-14

  [ Unit 193 ]
  * New upstream version 0.4.1.
    - Drop upstream patches.
  * Run wrap-and-sort.
  * d/compat, d/control: Bump dh compat to 11.
  * d/control: Drop build-depend on dh-autoreconf.
  * d/rules:
    - Drop override on configure, --disable-silent-rules is default.
    - Drop dh options of --with autoreconf and parallel as they are default.
    - Use dh_missing instead of dh_install for --fail-missing.
    - autoreconf is Xfce aware, don't explicitly call xdt-autogen.
  * d/mousepad.1 d/watch: Use https where possible.
  * Remove trailing whitespace from old changelog entries.
  * Bump Standards-Version to 4.1.4.

  [ Yves-Alexis Perez ]
  * use gtksourceview 3.0 (Closes: #849768, #885684)

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 07 Jun 2018 11:53:34 +0200

mousepad (0.4.0-4) unstable; urgency=medium

  * debian/patches:
    - 01_prevent-a-g_settings-cycle and
      02_do-not-manually-update-the-view-theme added, fix bug leading to huge
      DBus trafic and large CPU usage.                          closes: #795192
  * debian/control:
    - update standards version to 3.9.8.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 12 Jun 2016 21:59:50 +0200

mousepad (0.4.0-3) unstable; urgency=medium

  * debian/menu dropped following CTTE #741573, along with
    debian/mousepad.xpm.
  * debian/rules:
    - stop installing mousepad.xpm.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 04 Sep 2015 15:43:05 +0200

mousepad (0.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 18:09:03 +0200

mousepad (0.4.0-1) experimental; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * Bump standards version to 3.9.4
  * Update manpage
  * debian/rules: Add disable-silent-rules

  [ Mateusz Łukasik ]
  * New upstream release.
  * Bump standards version to 3.9.6
  * Switch from libdbus-glib-1-dev to libglib2.0-dev, glib 1 is no-longer used

  [ Yves-Alexis Perez ]
  * debian/control:
    - add build-dep on xdt-autogen and dh-autoreconf
  * debian/rules:
    - use dh-autoreconf addon to refresh config.{guess,sub}.
    - fix call to dh_auto_configure.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Mar 2015 15:44:06 +0100

mousepad (0.3.0-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * Upload to unstable.
  * debian/control:
    - drop build-dep on hardening-includes, not needed anymore.
  * debian/rules:
    - enable all hardening flags..

  [ Lionel Le Folgoc ]
  * debian/control:
    - drop xfprint4 recommendation, mousepad uses gtk printing now.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 22 May 2013 00:21:57 +0200

mousepad (0.3.0-1) experimental; urgency=low

  * New upstream release.
    - properly handle “file modified” status.                   closes: #508119
    - properly handle modified files when opening recent ones.  closes: #587667
    - properly handle “search & replace”.                       closes: #612005
    - “match case” setting is remembered.                       closes: #524963
  * debian/patches:
    - 02_fix-typos-in-test, 01_fix-first-replace,
      00_resensitize-find-button dropped, included upstream.
  * debian/control:
    - drop build-dep on libxfcegui4-dev.
    - add build-dep on libgtksourceview2.0-dev and libdbus-glib-1-dev.
    - update debhelper build-dep to 9.
  * debian/compat bumped to 9.
  * debian/rules:
    - use debhelper 9 hardening support.
    - use --fail-missing in dh_install.
    - no need to ignore files in .pc anymore.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 30 Dec 2012 20:32:25 +0100

mousepad (0.2.16-6) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches: add missing DEP3 headers.

  [ Yves-Alexis Perez ]
  * debian/patches:
    - 02_fix-typos-in-test added, fix typos in various tests, which led to
      infinite loops and freezes in some cases.                 closes: #631114
  * debian/rules:
    - build with --parallel

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 30 Jun 2012 15:59:36 +0200

mousepad (0.2.16-5) unstable; urgency=low

  * debian/control:
    - update section to editors.
    - update standards version to 3.9.2.
    - update debhelper build-dep because of overrides.
    - add build-dep on hardening-includes.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    - drop quilt stuff.
    - switch to dh7 tiny rules.
    - pick build-flags from dpkg-buildflags
    - add hardening flags to build flags.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 17:47:56 +0200

mousepad (0.2.16-4) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * debian/rules: fix dh_quilt_unpatch call in clean.

  [ Stefan Ott ]
  * debian/watch edited to track Xfce archive reorganisation.

  [ Yves-Alexis Perez ]
  * debian/control:
    - bump standards version to 3.8.4.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 22 Apr 2010 23:46:18 +0200

mousepad (0.2.16-3) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches:
    - 00_resensitize-find-button.patch: re-sensitize "Find/Replace" button
      when the dialog is shown up again (LP: #443302, closes: #549334)
    - 01_fix-first-replace.patch: really replace the first occurrence found
      with the find/Replace dialog (Xfce #4526, closes: #460440)
    - series: add these patches.
  * debian/control:
    - build-depends on quilt (>= 0.46-7)
    - bump Standards-Version to 3.8.3.
  * debian/rules: enable quilt.

  [ Yves-Alexis Perez ]
  * debian/rules:
    - drop deprecated dh_desktop call.
  * debian/README.source added as we use quilt.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 09 Oct 2009 10:28:21 +0200

mousepad (0.2.16-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    - -Wl,-z,defs -Wl,--as-needed added to LDFLAGS.
    - stop messing with config.{sub,guess}
    - replace dh_clean -k by dh_prep.
  * debian/compat bumped to 7.
  * debian/control:
    - update standards version to 3.8.1.
    - update debhelper build-dep to 7.
    - move to xfce section.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 02:03:53 +0200

mousepad (0.2.16-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - drop Rudy Godoy and Martin Loschwitz from Uploaders.
    - bump build-deps for Xfce 4.6.
    - update standards version to 3.8.0.
    - add depends on ${misc:Depends}.
    - drop quilt from build-deps.
    - add build-dep on intltool.
  * debian/patches:
    - 01_fix-recent-items-sort dropped, merged upstream.
  * debian/rules:
    - drop quilt rules.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 15:13:16 +0100

mousepad (0.2.13-2) unstable; urgency=low

  * debian/control:
    - add build-dep on quilt
    - updated standard versions to 3.7.3.
    - updated my email address.
  * debian/rules: use quilt to patch sources at build time
  * debian/patches: 01_fix-recent-items-sort added to correct recent items
    menu.                                                       closes: #465546
  * debian/copyright: use © character to make lintian happy…

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 13 Feb 2008 12:50:32 +0100

mousepad (0.2.13-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.

  [ Simon Huggins ]
  * Add Vcs-* headers to debian/control

 -- Simon Huggins <huggie@earth.li>  Tue, 27 Nov 2007 16:39:17 +0000

mousepad (0.2.12-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * Corrected manpage mousepad(1) shipped with the package.     closes: #355254
  * debian/menu: switch to new menu policy.

  [ Emanuele Rocca ]
  * debian/rules: do not ignore make clean errors in the clean target.

 -- Yves-Alexis Perez <corsac@corsac.net>  Mon, 10 Sep 2007 21:30:22 +0200

mousepad (0.2.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated build-deps to Xfce 4.4.
  * debian/copyright: updated authors and copyright holders.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 15 Apr 2007 15:28:17 +0100

mousepad (0.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated build-deps to Xfce 4.4rc2 (4.3.99.2).

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 16 Nov 2006 18:44:47 +0100

mousepad (0.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 30 Sep 2006 13:14:41 +0200

mousepad (0.2.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated standards version to 3.7.2.

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 26 Jul 2006 17:41:56 +0100

mousepad (0.2.4-1) unstable; urgency=low

  * New upstream releaase
  * Updated standards version and FSF address

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 03 May 2006 19:17:15 +0100

mousepad (0.2.2-2) unstable; urgency=low

  * Moving to unstable

 -- Emanuele Rocca <ema@debian.org>  Mon, 20 Jun 2005 22:20:51 +0200

mousepad (0.2.2-1) experimental; urgency=low

  * Initial Release (Closes: #308521).

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 23 Apr 2005 19:06:01 +0200
